## gretl 2018b

=== debian/changelog ===
gretl (2018b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Aug 2018 17:50:48 -0500

gretl (2018a-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Mar 2018 09:55:11 -0500

gretl (2017d-4) unstable; urgency=medium

  * cephes/iv.c: Use upstream patch for compilation under glibc 2.27, with
    thanks to Adrian Bunk 				(closes: #892653)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Mar 2018 16:36:55 -0500

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 7.0.0), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
Homepage: http://gretl.sourceforge.net/

Package: gretl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
Recommends: gretl-data, gretl-doc
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libesl0, libgretl0
Replaces: libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package 
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: fonts-freefont-ttf, fonts-dejavu, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl 
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl 
 sources.

## gretl 2019a

=== utils/dbzip/Makefile ===
PROG = gretlzip
ZLIB = -lz
CC = gcc -Wall -W -O -ansi -pedantic

$(PROG): gretlzip.c
	$(CC) -o $(PROG) gretlzip.c $(ZLIB)

clean:
	rm -f $(PROG)

=== debian/changelog ===
gretl (2019a-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Jan 2019 11:59:01 -0600

gretl (2018d-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Dec 2018 15:48:00 -0600

gretl (2018c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Sep 2018 05:11:03 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 7.0.0), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
+Vcs-Browser: https://salsa.debian.org/edd/gretl
+Vcs-Git: https://salsa.debian.org/edd/gretl.git
 Homepage: http://gretl.sourceforge.net/
 
 Package: gretl

## gretl 2019c

=== debian/changelog ===
gretl (2019c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Jul 2019 21:58:00 -0500

gretl (2019b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 May 2019 16:34:47 -0500

## gretl 2019d

=== debian/changelog ===
gretl (2019d-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:56 +0100

gretl (2019d-2) unstable; urgency=medium

  * Source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jan 2020 17:48:10 -0600

gretl (2019d-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Dec 2019 19:00:38 -0600

gretl (2019c-2) unstable; urgency=medium

  * Source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Sep 2019 19:06:37 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends: debhelper (>= 7.0.0), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Vcs-Browser: https://salsa.debian.org/edd/gretl
 Vcs-Git: https://salsa.debian.org/edd/gretl.git

## gretl 2020d

=== debian/changelog ===
gretl (2020d-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Aug 2020 12:21:29 -0500

gretl (2020c-2) unstable; urgency=medium

  * lib/src/printout.c: Apply hot-fix emailed by upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Aug 2020 20:22:25 -0500

gretl (2020c-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Add Suggests: x13as			(Closes: #962713)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Aug 2020 21:51:21 -0500

gretl (2020b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Apr 2020 16:14:22 -0500

gretl (2020a-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Mar 2020 16:13:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper (>= 7.0.0), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Vcs-Browser: https://salsa.debian.org/edd/gretl
 Vcs-Git: https://salsa.debian.org/edd/gretl.git
@@ -12,6 +12,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
 Recommends: gretl-data, gretl-doc
+Suggests: x13as
 Description: GNU Regression, Econometric & Time-Series Library
  The GNU Regression, Econometric and Time-Series Library (gretl) is a
  software package for econometric analysis.  The package comprises a

## gretl 2021a

=== plugin/libsvm/Makefile ===
CXX ?= g++
CFLAGS = -Wall -Wconversion -g -O3 -fPIC -fopenmp

svm.o: svm.cpp svm.h
	$(CXX) $(CFLAGS) -c svm.cpp

clean:
	rm -f svm.o

=== debian/changelog ===
gretl (2021a-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Jan 2021 10:20:16 -0600

gretl (2020e-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
 
  * debian/control: Set Standards-Version: to current version
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Nov 2020 20:03:14 -0600

=== debian/rules ===
#!/usr/bin/make -f 					
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux gretl package
# Copyright 2000 - 2013 by Dirk Eddelbuettel <edd@debian.org>

package := $(shell head -1 debian/changelog | awk '{print $$1}')
sonum   := 1
libpack := libgretl$(sonum)
devpack := $(libpack)-dev
docpack := $(package)-doc
datpack := $(package)-data
compack := $(package)-common
srcver  := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f2 -d' ' | cut -f1 -d'-')
debtmp	:= $(CURDIR)/debian/$(package)

arch 	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

cppflags  = $(shell dpkg-buildflags --get CPPFLAGS)
cflags    = $(shell dpkg-buildflags --get CFLAGS)
ldflags   = $(shell dpkg-buildflags --get LDFLAGS)

## edd 09 Feb 2003      no optimisation or debugging on m68k
ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
cflags	= -O0 -g0 -Wall
endif

#export DH_VERBOSE=1

upstream: get-orig-source
get-orig-source:
        # lynx http://gretl.sourceforge.net
        # lynx http://unc.dl.sourceforge.net/sourceforge/gretl
	links http://prdownloads.sourceforge.net/gretl
        # links http://twtelecom.dl.sourceforge.net/sourceforge/gretl

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	DISPLAY="foo" 					\
	./configure	--prefix=/usr			\
			--with-x-12-arima		\
			--with-tramo-seats		\
			--with-libR			\
			--with-odbc			\
			--with-mpi           		\
			--enable-static			\
			--enable-shared			\
			--disable-rpath			\
			--disable-sse2			\
			--disable-avx			\
			--disable-xdg-utils		\
			--build $(arch)
	touch configure-stamp

## edd 02 May 2010  these are now implicit and/or obsolete
#   --with-lapack			
#   --with-gtk2			
#   --without-libole2		
#  --without-gtkextra		
#
# edd 12 Mar 2011   cannot buikd wuth this
#			--disable-sse2
# edd 11 Jun 2017
#			--with-mpfr 			

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) CC=gcc \
		CFLAGS="$(cflags) -D_REENTRANT" \
		CPPFLAGS="$(cppflags)" \
		LDFLAGS="$(ldflags)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	-(cd gui && make cleanall)
	-find . -name \*.o -type f | xargs rm -vf 
	dh_autotools-dev_restoreconfig	
	dh_clean build-stamp install-stamp configure-stamp check-stamp

check: build check-stamp
check-stamp:
	-$(MAKE) check
	touch check-stamp

install: build check install-stamp 
install-stamp: 
	$(MAKE) -f debian/rules DH_OPTIONS= install-work
install-work:
	dh_testdir
	dh_testroot
        #dh_clean -k
	dh_prep
	dh_installdirs	
	dh_installdirs -p$(package) 	usr/share/gnome/apps/Applications \
					usr/share/applications \
					usr/share/mime-info \
					usr/share/pixmaps 
	-$(MAKE) prefix=$(debtmp)/usr 			\
		gnome_prefix=$(debtmp)/usr 		\
		mandir=$(debtmp)/usr/share/man		install
#	(cd gnome && $(MAKE) prefix=$(debtmp)/usr 	\
#		gnome_prefix=$(debtmp)/usr 		\
#		mandir=$(debtmp)/usr/share/man		install-misc )

        #	infodir=$(debtmp)/usr/share/info	\
        # dh_undocumented		gretl.1 gretlcli.1 gretl_x11.1

        # clean extra COPYING file
	(cd $(debtmp)/usr/share/$(package); \
		ln -svf ../common-licenses/GPL COPYING)

        ## this seems to have been forgotten at install time (version 1.1.0)
        ## gretl 1.8.7 no longer has it
        #chmod 755 gretl-config
        #cp -vax gretl-config debian/gretl/usr/bin

        ## Bug#400405 to get pixmap into desktop menu (also dh_movefiles)
	cp -vax pixmaps/gretl.xpm debian/gretl/usr/share/pixmaps

        # move static libs into dev-package  and binaries into bin package
	dh_movefiles 	--sourcedir=debian/$(package) -p$(devpack) 
	dh_movefiles 	--sourcedir=debian/$(package) -p$(libpack)
        # move docs
        ## dh_movefiles 	--sourcedir=debian/$(package) -p$(docpack)

        # move common and data package files
	dh_movefiles 		--sourcedir=debian/$(package) -p$(datpack)
	dh_movefiles 		--sourcedir=debian/$(package) -p$(compack)
	dh_installdocs 		-p$(compack)	
	dh_installdocs		-p$(docpack) 	README* doc/
	dh_installexamples      -p$(docpack)	utils/
        #dh_movefiles 		--sourcedir=debian/$(package) -p$(docpack)

        # edd 19 Mar 2009  remove fonts deemed non-free
	rm -vrf debian/$(compack)/usr/share/gretl/fonts

        # edd 26 Dec 2007  some lintian silencers
#	for p in $(package) $(libpack) $(compack); do \
#		dh_installdirs -p$$p usr/share/lintian/overrides; \
#		install -v -c -m 0644 debian/$$p.overrides \
#		   $(CURDIR)/debian/$$p/usr/share/lintian/overrides/$$p; \
#		done
	dh_lintian

        # edd 23 Apr 2011
        # empty dependency_lib in .la files (cf #621213)	
	find debian/$(package) -name \*.la | \
		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 
	find debian/$(libpack) -name \*.la | \
		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 

	touch install-stamp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build check install 
	dh_testdir
	dh_testroot
        #dh_installdebconf
	dh_link			
	dh_installdocs -a	
	(cd $(debtmp)/usr/share/$(package); 		\
		ln -s ../doc/$(docpack)/doc . ; 	\
		ln -s ../doc/$(docpack)/examples . 	 )
        #dh_installexamples      
        #dh_installmenu
        #dh_installemacsen
        #dh_installpam
        #dh_installinit
        #dh_installcron
        #dh_installman		gretl.1
        #dh_installinfo
        #dh_undocumented
	dh_installchangelogs			ChangeLog
	dh_compress
	dh_fixperms
	dh_strip
        #dh_suidregister
        #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
        #	> debian/$(libpack).shlibs
#	dh_makeshlibs 	-V -p$(package) -p$(devpack) -p$(libpack)
	dh_makeshlibs 	-V -n -p$(devpack) 
	dh_makeshlibs 	-p$(libpack)
	dh_installdeb
#	dh_desktop 	-p$(compack)
        #dh_perl
	dh_shlibdeps	-l debian/$(libpack)/usr/lib/ 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
	dh_testdir -i
	dh_testroot -i
	dh_link -i			
	dh_installchangelogs -i
        #dh_installdocs -i
        #dh_installexamples -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installcatalogs -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gretl 2022a

=== debian/changelog ===
gretl (2022a-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Feb 2022 08:26:46 -0600

gretl (2021d-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Sep 2021 16:40:05 -0500

gretl (2021c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Aug 2021 07:27:18 -0500

gretl (2021b-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Aug 2021 15:12:01 -0500

gretl (2021b-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/rules: Correct link for docs to gretl-doc package (Closes: #986472)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 07 May 2021 11:34:48 -0500

=== debian/rules ===
--- 
+++ 
@@ -167,11 +167,12 @@
 	dh_testroot
         #dh_installdebconf
 	dh_link			
-	dh_installdocs -a	
+	dh_installdocs -a
 	(cd $(debtmp)/usr/share/$(package); 		\
-		ln -s ../doc/$(docpack)/doc . ; 	\
+		rmdir doc;                              \
+	        ln -s ../doc/$(docpack)/doc . ;         \
 		ln -s ../doc/$(docpack)/examples . 	 )
-        #dh_installexamples      
+        #dh_installexamples
         #dh_installmenu
         #dh_installemacsen
         #dh_installpam

## gretl 2022b

=== debian/changelog ===
gretl (2022b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 09 Aug 2022 14:57:59 -0500

## gretl 2022c

=== debian/changelog ===
gretl (2022c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Nov 2022 16:10:57 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 7.0.0), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Vcs-Browser: https://salsa.debian.org/edd/gretl
 Vcs-Git: https://salsa.debian.org/edd/gretl.git
 Homepage: http://gretl.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 			--with-mpi           		\
 			--enable-static			\
 			--enable-shared			\
+			--enable-build-editor		\
 			--disable-rpath			\
 			--disable-sse2			\
 			--disable-avx			\

## gretl 2023a

=== debian/changelog ===
gretl (2023a-3) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2023 06:19:19 -0500

gretl (2023a-2) experimental; urgency=medium

  * debian/rules: Adjust soft-link to examples and docs	(Closes: #1036608)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 May 2023 13:03:12 -0500

gretl (2023a-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Mar 2023 07:13:40 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 11), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 12), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Vcs-Browser: https://salsa.debian.org/edd/gretl
 Vcs-Git: https://salsa.debian.org/edd/gretl.git
 Homepage: http://gretl.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
 	DISPLAY="foo" 					\
 	./configure	--prefix=/usr			\
 			--with-x-12-arima		\
@@ -80,9 +80,9 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
-	-(cd gui && make cleanall)
+	-(cd gui && make clean)
 	-find . -name \*.o -type f | xargs rm -vf 
-	dh_autotools-dev_restoreconfig	
+	dh_update_autotools_config
 	dh_clean build-stamp install-stamp configure-stamp check-stamp
 
 check: build check-stamp
@@ -171,8 +171,8 @@
 	dh_installdocs -a
 	(cd $(debtmp)/usr/share/$(package); 		\
 		rmdir doc;                              \
-	        ln -s ../doc/$(docpack)/doc . ;         \
-		ln -s ../doc/$(docpack)/examples . 	 )
+		ln -s ../doc/$(package)/doc . ;         \
+		ln -s ../doc/$(package)/examples . 	 )
         #dh_installexamples
         #dh_installmenu
         #dh_installemacsen

## gretl 2023b

=== debian/changelog ===
gretl (2023b-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/control: add alternative BD for libfreetype6-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Sep 2023 14:18:40 -0700

gretl (2023b-2) unstable; urgency=medium

  * debian/rules: Remove empty pkgconfig directory from gretl package
    (with thanks to Helmut Grohne)			(Closes: #1041835)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Jul 2023 07:58:28 -0500

gretl (2023b-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Jul 2023 09:34:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,46 @@
 Source: gretl
 Section: math
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 12), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
+Build-Depends: debhelper-compat (= 12),
+               gfortran,
+               gnuplot-x11,
+               libblas-dev,
+               libcurl4-gnutls-dev | libcurl4-dev,
+               libfftw3-dev,
+               libfreetype-dev | libfreetype6-dev,
+               libglib2.0-dev,
+               libgmp-dev,
+               libgtk-3-dev,
+               libgtksourceview-3.0-dev,
+               libjson-glib-dev,
+               liblapack-dev,
+               libmpfr-dev,
+               libpng-dev,
+               libreadline-dev,
+               libxml2-dev,
+               libxslt1-dev,
+               mpi-default-bin,
+               mpi-default-dev,
+               r-base-dev,
+               texlive-base,
+               texlive-latex-base,
+               unixodbc-dev,
+               zlib1g-dev
 Vcs-Browser: https://salsa.debian.org/edd/gretl
 Vcs-Git: https://salsa.debian.org/edd/gretl.git
 Homepage: http://gretl.sourceforge.net/
 
 Package: gretl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
-Recommends: gretl-data, gretl-doc
-Suggests: x13as
+Depends: gnuplot (>= 4.2),
+         gretl-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         gretl-data
+Recommends: gretl-data
 Description: GNU Regression, Econometric & Time-Series Library
  The GNU Regression, Econometric and Time-Series Library (gretl) is a
  software package for econometric analysis.  The package comprises a
@@ -24,10 +52,10 @@
 Package: libgretl1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libesl0, libgretl0
 Replaces: libesl0, libgretl0
-Description: GNU Regression, Econometric & Time-Series Library -- library package 
+Description: GNU Regression, Econometric & Time-Series Library -- library package
  The GNU Regression, Econometric and Time-Series Library (gretl) is a
  software package for econometric analysis.  The package comprises a
  shared library, a command-line client program, and a graphical client
@@ -55,14 +83,14 @@
 Suggests: gretl (>= ${source:Version})
 Conflicts: gretl (<= 1.2.2-1)
 Replaces: gretl (<= 1.2.2-1)
-Depends: fonts-freefont-ttf, fonts-dejavu, ${misc:Depends}
+Depends: fonts-dejavu, fonts-freefont-ttf, ${misc:Depends}
 Description: GNU Regression, Econometric & Time-Series Library -- scripts package
  The GNU Regression, Econometric and Time-Series Library (gretl) is a
  software package for econometric analysis.  The package comprises a
  shared library, a command-line client program, and a graphical client
  built using GTK+.
  .
- This package provides scripts (included in the gretl sources) which are 
+ This package provides scripts (included in the gretl sources) which are
  used by the main gretl program.
 
 Package: gretl-data
@@ -77,13 +105,13 @@
  shared library, a command-line client program, and a graphical client
  built using GTK+.
  .
- This package provides data sets (included in the gretl sources) which are 
+ This package provides data sets (included in the gretl sources) which are
  used by the main gretl program.
 
 Package: gretl-doc
 Section: doc
 Architecture: all
-Recommends: gretl 
+Recommends: gretl
 Depends: ${misc:Depends}
 Conflicts: gretl (<= 1.2.2-1)
 Replaces: gretl (<= 1.2.2-1)
@@ -93,5 +121,5 @@
  shared library, a command-line client program, and a graphical client
  built using GTK+.
  .
- This package provides documentation and examples included in the gretl 
+ This package provides documentation and examples included in the gretl
  sources.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f 					
 # 							-*- makefile -*-
 # debian/rules file for the Debian/GNU Linux gretl package
-# Copyright 2000 - 2013 by Dirk Eddelbuettel <edd@debian.org>
+# Copyright 2000 - 2023 by Dirk Eddelbuettel <edd@debian.org>
 
 package := $(shell head -1 debian/changelog | awk '{print $$1}')
 sonum   := 1
@@ -141,6 +141,9 @@
 
         # edd 19 Mar 2009  remove fonts deemed non-free
 	rm -vrf debian/$(compack)/usr/share/gretl/fonts
+
+        # edd 24 Jul 2023  remove empty pkgconfig dir (#1041835)
+	find debian/$(package)/usr/lib/pkgconfig -type d -empty -delete
 
         # edd 26 Dec 2007  some lintian silencers
 #	for p in $(package) $(libpack) $(compack); do \
@@ -185,7 +188,7 @@
 	dh_installchangelogs			ChangeLog
 	dh_compress
 	dh_fixperms
-	dh_strip
+	dh_strip --no-automatic-dbgsym
         #dh_suidregister
         #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
         #	> debian/$(libpack).shlibs
@@ -241,4 +244,3 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
-

## gretl 2023c

=== utils/FRB/Makefile ===
CC = gcc -Wall -O2

XML_CFLAGS := $(shell pkg-config --cflags libxml-2.0)
XML_LIBS := $(shell pkg-config --libs libxml-2.0)

frb2db: frb2db.c
	$(CC) $(XML_CFLAGS) -o $@ $< $(XML_LIBS)

idx: frb2db 
	./frb2db H15_data.xml

clean:
	rm -f frb2db *.idx *.bin

=== debian/changelog ===
gretl (2023c-2.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:18:23 +0000

gretl (2023c-2.1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:57:23 +0000

gretl (2023c-2.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:47:32 +0000

gretl (2023c-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063320

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:38:53 +0000

gretl (2023c-2) unstable; urgency=medium

  * debian/rules: Add '--enable-build-addons' to enable shipping gretl
    addons which will now be part of the gretl-common binary package
  * debian/control: Add several texlive packages to Build-Depends for this

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Feb 2024 11:33:53 -0600

gretl (2023c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Dec 2023 17:56:59 -0600

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.6.2
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-fonts-extra, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
Vcs-Browser: https://salsa.debian.org/edd/gretl
Vcs-Git: https://salsa.debian.org/edd/gretl.git
Homepage: http://gretl.sourceforge.net/

Package: gretl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
Recommends: gretl-data, gretl-doc
Suggests: x13as
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1t64
Provides: ${t64:Provides}
Breaks: libgretl1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libesl0, libgretl0
Replaces: libgretl1, libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package 
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1t64 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: fonts-freefont-ttf, fonts-dejavu, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl 
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl 
 sources.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 package := $(shell head -1 debian/changelog | awk '{print $$1}')
 sonum   := 1
-libpack := libgretl$(sonum)
-devpack := $(libpack)-dev
+libpack := libgretl$(sonum)t64
+devpack := libgretl$(sonum)-dev
 docpack := $(package)-doc
 datpack := $(package)-data
 compack := $(package)-common
@@ -47,6 +47,7 @@
 			--enable-static			\
 			--enable-shared			\
 			--enable-build-editor		\
+			--enable-build-addons		\
 			--disable-rpath			\
 			--disable-sse2			\
 			--disable-avx			\
@@ -126,7 +127,7 @@
 	cp -vax pixmaps/gretl.xpm debian/gretl/usr/share/pixmaps
 
         # move static libs into dev-package  and binaries into bin package
-	dh_movefiles 	--sourcedir=debian/$(package) -p$(devpack) 
+	dh_movefiles 	--sourcedir=debian/$(package) -p$(devpack)
 	dh_movefiles 	--sourcedir=debian/$(package) -p$(libpack)
         # move docs
         ## dh_movefiles 	--sourcedir=debian/$(package) -p$(docpack)
@@ -188,7 +189,7 @@
 	dh_installchangelogs			ChangeLog
 	dh_compress
 	dh_fixperms
-	dh_strip --no-automatic-dbgsym
+	dh_strip
         #dh_suidregister
         #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
         #	> debian/$(libpack).shlibs
@@ -244,3 +245,4 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
+

## gretl 2024a

=== debian/changelog ===
gretl (2024a-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert renaming libraries for 64-bit time_t transition.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 Apr 2024 21:59:04 -0700

gretl (2024a-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 07 Apr 2024 10:33:08 -0500

gretl (2023c-3) unstable; urgency=medium

  * debian/rules: Apply patch by Chris Lamb to ensure pdf files are
    produced reproducibly with the source date		(Closes: #1067218)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Mar 2024 07:20:07 -0500

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
#               dpkg-dev (>= 1.22.5),
               gfortran,
               gnuplot-x11,
               libblas-dev,
               libcurl4-gnutls-dev | libcurl4-dev,
               libfftw3-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libgmp-dev,
               libgtk-3-dev,
               libgtksourceview-3.0-dev,
               libjson-glib-dev,
               liblapack-dev,
               libmpfr-dev,
               libpng-dev,
               libreadline-dev,
               libxml2-dev,
               libxslt1-dev,
               mpi-default-bin,
               mpi-default-dev,
               r-base-dev,
               texlive-base,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               unixodbc-dev,
               zlib1g-dev
Vcs-Browser: https://salsa.debian.org/edd/gretl
Vcs-Git: https://salsa.debian.org/edd/gretl.git
Homepage: http://gretl.sourceforge.net/

Package: gretl
Architecture: any
Depends: gnuplot (>= 4.2),
         gretl-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         gretl-data, gretl-doc
Suggests: x13as
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1
# Provides: ${t64:Provides}
# Breaks: libgretl0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libesl0, libgretl0
Replaces: libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: fonts-dejavu, fonts-freefont-ttf, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl
 sources.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 package := $(shell head -1 debian/changelog | awk '{print $$1}')
 sonum   := 1
-libpack := libgretl$(sonum)t64
+libpack := libgretl$(sonum)
 devpack := libgretl$(sonum)-dev
 docpack := $(package)-doc
 datpack := $(package)-data
@@ -23,6 +23,9 @@
 ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
 cflags	= -O0 -g0 -Wall
 endif
+
+# Request that TeX seed the \today (etc.) from SOURCE_DATE_EPOCH
+export FORCE_SOURCE_DATE = 1
 
 #export DH_VERBOSE=1
 
@@ -189,7 +192,7 @@
 	dh_installchangelogs			ChangeLog
 	dh_compress
 	dh_fixperms
-	dh_strip
+	dh_strip --no-automatic-dbgsym
         #dh_suidregister
         #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
         #	> debian/$(libpack).shlibs
@@ -245,4 +248,3 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
-
